Subject: Re: bug#8047: 23.2.94; Auto image mode breaks C-x C-w

From: Stefan Monnier <[email-masked]>
Date: Fri, 18 Feb 2011 12:24:50 -0500

>> > So I suggest to set find-file-literally only in the case where
>> > buffer-file-coding-system is `no-conversion'.
>> Fine with me.
>> So do you prefer the above, or do you prefer Glenn's suggestion to set
>> require-final-newline instead?
> Please say if you agree to install this change on the emacs-23 branch,
> and also which of the solutions (setting require-final-newline or
> find-file-literally) you prefer (both will be made buffer-local).  I
> don't want to do this on my own so close to the release.

I think find-file-literally is more right, but require-final-newline is
safer, so I suggest to use require-final-newline in the emacs-23 branch
and find-file-literally in the trunk.

        Stefan